.page {
  max-width: 1200px;
  margin: 0 auto;
  height: 100vh;
  background-color: #bbb;

  display: grid;
  grid-template-columns: 8em auto;
  grid-template-rows: 4em auto 3em;
  grid-template-areas:
    "sidebar header"
    "sidebar content"
    "sidebar footer";
}

app-header {
  grid-area: header;
  background-color: rgba(0, 0, 200, 0.9);
  padding: 0.6em 0;
  text-align: center;
}

app-footer {
  grid-area: footer;
  background-color: #333;
  color: #ccc;
  text-align: center;
  padding: 0.9em 0;
}

app-sidebar {
  grid-area: sidebar;
  background-color: rgba(0, 0, 200, 0.5);
  padding: 2em 0.25em;
}

main {
  grid-area: content;
  background-color: white;
  color: #333;
  margin: 0.5em;
  border-radius: 0.5em;
  padding: 1em;
  overflow: auto;
}
